BFGS Class Reference

Broyden-Fletcher-Goldfarb-Shanno algorithm. More...

`#include <ql/math/optimization/bfgs.hpp>`

Inheritance diagram for BFGS:
[legend]

## Public Member Functions

| BFGS (const ext::shared_ptr< LineSearch > &lineSearch=ext::shared_ptr< LineSearch >())
Public Member Functions inherited from LineSearchBasedMethod
| LineSearchBasedMethod (const ext::shared_ptr< LineSearch > &lSearch=ext::shared_ptr< LineSearch >())
virtual EndCriteria::Type | minimize (Problem &P, const EndCriteria &endCriteria)
| minimize the optimization problem P

## Additional Inherited Members

Protected Attributes inherited from LineSearchBasedMethod
ext::shared_ptr< LineSearch > | lineSearch_
| line search

## Detailed Description

Broyden-Fletcher-Goldfarb-Shanno algorithm.

See http://en.wikipedia.org/wiki/BFGS_method.

Adapted from Numerical Recipes in C, 2nd edition.

User has to provide line-search method and optimization end criteria.